<!--
Template to render main page.
@Author Majd Asab + Rami Shehto
-->
<div class="container colorit">
  <div class="jumbotron text-center colorit">
    <img src="../assets/logoooo.PNG" width="250" height="200">
  </div>


  <h3>Choose operation:</h3>
  <select [(ngModel)]="Strategies" class="form-control">
    <option value="1">Submit strategy</option>
    <option value="2">View transactions</option>
    <option value="3">Active strategies</option>
  </select>

  <div [ngSwitch]="Strategies">
    <div *ngSwitchCase="1">
      <two-moving-averages-form></two-moving-averages-form>
    </div>
    <div *ngSwitchCase="2">
      <transactions-table></transactions-table>
    </div>
    <div *ngSwitchCase="3">
      <active-strategies-component></active-strategies-component>
    </div>
    <div *ngSwitchDefault>
      <two-moving-averages-form></two-moving-averages-form>
    </div>
  </div>


</div>



